#pragma once

namespace kku
{

using microsec = long long;

struct TimeRange
{
    const microsec begin = 0;
    const microsec end = 0;

    constexpr inline explicit TimeRange() noexcept :
        begin(0), end(0)
    {}

    constexpr inline explicit TimeRange(microsec x, microsec y) noexcept :
        begin(x), end(y)
    {}
};

}
